package com.cyksj.service.shop;

import com.cyksj.model.dto.YhShopInfo;
import com.cyksj.model.entity.YhShop;

/*
 *项目名: yhlxj
 *文件名: YhShopFrontService
 *创建者: JavaZou
 *创建时间:2023/9/14 16:59
 */
public interface YhShopFrontService {
	void applyOpenShop(YhShop shopInfo);

	void reApplyOpenShop(YhShop shopInfo);

	/**
	 * 校验店铺id 并返回店铺记录id
	 * @param customId
	 * @return
	 */
	Long checkShopCustomIdAndReturnShopId(String customId);

	YhShopInfo getYhShopInfo(String customId);

	Long getYhsIdByCustomId(String customId);
}
